SAP ERP Version ECC 6.0

We plan to upgrade our SAP erp system from version 4.6 to ECC 6.0 and are trying to find out if SAP Business Connector 4.6 will work with that SAP version. It looks like some of the consulting companies are trying to push us to SAP XI.
Thanks

You can use SAP Adapter4.6 with ECC6.0.
We are using it and no isssues as of today.

regards
Sree

Hi Sree.

Do you now if SAP Adapter 4.6 needs any upgrade to work with ECC6 ?
And also SAP Adapter 4.6 can be used at the same time with ECC6 and SAP older version ?
Thanks.
Regards.

And also SAP Adapter 4.6 can be used at the same time with ECC6 and SAP older version -->YES

Also i would say upgrade your SAP Adapter to 6.5/7.1 and utilize its made ART enhancements/framework/fixes dealing which fits and added support to ECCversions.HTH,
RMG